/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc CyrStRepository
///////////////////////////////////////////////////////////////////////////////

#ifndef _CyrStFolder_i_h
#define _CyrStFolder_i_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes
#include <Repository/CyrStLink_i.h>

///////////////////////////////////////////////////////////////////////////////
// @class   CyrStFolderImpl | This class represents the implementation of the
//          CORBA interface CyrStFolder.  This interface allows access to all
//          methods and properties available via the COM wrapper interface.
// @base    public | POA_CyrStFolder
class CyrStFolderImpl : public virtual POA_CyrStFolder, public CyrStLinkImpl
{
    // @access Public Members
public:
    CyrStFolderImpl( CyrStProvider* pProvider );    // @cmember Constructor
    // @cmember Constructor
    CyrStFolderImpl( CyrStProvider* pProvider, ParamList_ptr params );
    virtual ~CyrStFolderImpl(); // @cmember Destructor.

    char* GetName();                    // @cmember Returns name of Folder
    char* GetFolders( long& count );    // @cmember Returns list of child Folders
    char* GetFiles( long& count );      // @cmember Returns list of files in Folder

    void Refresh();

    // @access Protected Members
protected:
    CECFFFolder* m_com;                            // @cmember Pointer to COM wrapper
}
;

#endif
