/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*
 *  Standard ANSI header files.
 */
#include <stdio.h>
#include <string.h>

/*
 *  PSL Macros.
 */
#include <psl_macros.h>

/*
 *  Function prototypes
 */
#include <psl_rtndef.h>         /* Define ourselves */

/************************************************************************/
/*                                  */
/*  GET_OPENSTA_VERSION - Get "OpenSTA" Version Number String   */
/*                                  */
/*  Calling Convention:                     */
/*                                  */
/*    GET_OPENSTA_VERSION (version_ptr)             */
/*                                  */
/*  Where:                              */
/*                                  */
/*    Inputs:                           */
/*      None                            */
/*                                  */
/*    Outputs:                          */
/*      version_ptr = Pointer to version number string ("Vn.m") */
/*            (Null terminated)             */
/*    Returns:                          */
/*      None                            */
/*                                  */
/*  This routine returns the current version number string for  */
/*  OpenSTA, in format "Vn.m", and null terminated.         */
/*                                  */
/************************************************************************/

void GET_OPENSTA_VERSION (char *version_ptr)

{
    /*
     *  Copy OpenSTA version number string to output string, with null termination.
     */
    (void) strcpy (version_ptr, "V0.9");

    return;
}
