/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CacheEntry.h
#ifndef _CYR_CACHEENTRY_H
#define _CYR_CACHEENTRY_H
/**
 * Class Definititon for cache entry
 * Must be thread safe.
 **/
#include <string>
#ifdef HPUX
#include <iostream.h>
#else
#include <iostream>
#endif

#ifndef CYR_NO_STD_NAMESPACE
using namespace std;
#endif
#if defined (WIN32)
#pragma warning(disable:4786)
//++
class CacheEntry;
ostream& operator<<(ostream&, const CacheEntry&);
//--
#endif

// local includes

// class definition
class CacheEntry
{
    unsigned int _refCnt;
    static unsigned int _zeroRefCnts;

public:
    //Constructors & Destructor
    CacheEntry();
    virtual ~CacheEntry();

    //Accessors
    static bool someUnused();
    bool inUse() const;

    //Mutators
    void addUse();
    void release();

    //Friends
    friend ostream& operator<<(ostream& os, const CacheEntry& entry);

}
; // CacheEntry

ostream& operator<<(ostream& os, const CacheEntry& entry);

#endif // _CYR_CACHEENTRY_H
