/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// TaskScript.h
#ifndef _CYR_TASKSCRIPT_H
#define _CYR_TASKSCRIPT_H
/**
 * Class Definititon for task script
 * Must be thread safe.
 **/
#include <string>

#ifdef unix
#elif defined (__VMS)
#elif defined (WIN32)
#pragma warning(disable:4786)
using namespace std;
#else //unknown
#error Unknown Platform
#endif // unknown

// local includes
#include "TScript.h"

// class definition
class TaskScript
{
    const string _name;
    TScript *_script;

public:
    //Constructors & Destructor
    TaskScript(const TScriptRule* rulep, const string& scriptname);
    virtual ~TaskScript();

    //Accessors
#ifndef TH_POOL_VER
    int run(TContext& ctxt);
#else
    TScript         *GetScript() const
    {
        return _script;
    }
    const string    &GetName()   const
    {
        return _name;
    }
#endif
    unsigned int size();

private:
    //// Forbidden
    TaskScript();
    TaskScript(const TaskScript&);
    operator=(const TaskScript&);
}

; // TaskScript

#endif // _CYR_TASKSCRIPT_H
