/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// varlist.h
#ifndef VARLIST_H
#define VARLIST_H
#if defined(WIN32)
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif


#include <string>
#include <map>
#include "CECVar.h"
#include "TRecord.h"
#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif

#if defined(WIN32)
# if _MSC_VER >= 1100   // MSC version 5 and above
using namespace std;
# endif
#endif

typedef map<string, CECVar *, less<string> > VARLIST;
extern const string  THREAD_COUNT_VAR;
class Cvarlist
{
public:
    // Constructors/Destructor
    Cvarlist();
    virtual	~Cvarlist();

    // Public member functions
public:

    CECVar *       define_variable(const string& scriptname,const string& name, unsigned size, unsigned options,const string& dimensions="",
                                   const string& fid = "", const string& file = "",const string& values="", unsigned long seed=0);
    CECVar *       define_variable(const string& scriptname, const TRecord * rec, const string& dir, bool use_decl = false);
    int             get_variable_count(void);
    int             is_variable_defined(const string& name);
    int             delete_variable(const string& name);
    int             delete_all_variables(void);
    int             delete_volatile_variables(void);
    int             delete_temporary_variables(void);
    CECVar *       get_variable_ptr(string& name);
    CECVar *       get_variable_ptr(int index);
    CECVar *       get_variable_ptr(const TRecord * rec);
    string          get_variable_value(const string& name, const string& index = string());
    int             set_variable_value(const string& name, const string& value, const string& index = string());
    void            clear_variable_values(string& name);
    bool            volatile_conflict(const TRecord* rec);
    const VARLIST  get_threadwide_vars()const;
    int		    add_vars(const VARLIST& varlst);
protected:
    // Variable list (map)
    VARLIST     vars;
    bool	is_sub;
};



#endif
