#ifndef PSL__PSL_TPAARGDEF_LOADED
#define PSL__PSL_TPAARGDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N  ****                  */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSL_TPAARGDEF               */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  TPARSE Argument Block Data Structure.                    */
/*                                       */
/*                                       */
/*===========================================================================*/

/*** MODULE PSL_TPAARGDEF ***/


/*    TPARSE Argument Block */

struct tpaarg
{

    /*    Count (only for compatibility with MACRO version) */

    PSL_LONGWORD_T          countl;

    /*    Flag bits */

    PSL_WORD_T              optionsw;
#define            TPAARG_BLANKSM 0X1
#define            TPAARG_BLANKSV 0
#define            TPAARG_ABBREVM 0X2
#define            TPAARG_ABBREVV 1
#define            TPAARG_ABBRFMM 0X4
#define            TPAARG_ABBRFMV 2
#define            TPAARG_AMBIGM 0X8
#define            TPAARG_AMBIGV 3

    /*    Spare */

    char                    spare1b;

    /*    Match count */

    char                    mcountb;

    /*    Length of input string */

    PSL_LONGWORD_T          stringcntl;

    /*    Pointer to input string */

    char                    *string_ptrpc;

    /*    Length of current token */

    PSL_LONGWORD_T          tokencntl;

    /*    Pointer to current token */

    char                    *token_ptrpc;

    /*    Matching character */

    char                    charb;

    /*    Spare */

    char                    spare2b;
    PSL_WORD_T              spare3w;

    /*    Binary value of numeric token */

    PSL_LONGWORD_T          numberl;

    /*    Argument supplied by user */

    PSL_LONGWORD_T          paraml;

    /*    User Pointer (e.g. to Global Structure) */

    void                    *user_ptrp;

    /*    Address of current transition */

    struct tpatab           *trans_ptrps;

    /*    Address of trace routine */

    void                    (*tracertn_ptrpf)
    (struct tpaarg *argblk_ptr,
     short type)
    ;

    /*    Trace level */

    PSL_LONGWORD_T          tracelvll;

    /*    User trace parameter */

    PSL_LONGWORD_T          uservall;
} ;



/*  End of C Include File */

#endif  /* PSL__PSL_TPAARGDEF_LOADED */
