#ifndef PSL__PSL_TRC_PRMDEF_LOADED
#define PSL__PSL_TRC_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSL_TRC_PRMDEF              */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  PSL Trace Routine Parameters.                        */
/*                                       */
/*          ***** IMPORTANT NOTICE *****                 */
/*                                       */
/*  Note that it is VITAL the value of these symbols should not change.  */
/*  New trace types should be added at the end of the existing ones      */
/*  and existing ones should NOT be deleted.                 */
/*                                       */
/*                                       */
/*===========================================================================*/

/*** MODULE PSL_TRC_PRMDEF ***/

/*  General Tracing. */

#define            PTRC_GEN_COMMAND 1   /* Command Line */
#define            PTRC_GEN_TIMING 2    /* Timing Information */
#define            PTRC_GEN_ALIGN 3 /* Alignment Faults */
#define            PTRC_GEN_ERRORS 4    /* Errors */
#define            PTRC_GEN_TPARSE 5    /* Tparse */
#define            PTRC_GEN_MISC 6  /* Miscellaneous */
#define            PTRC_GEN_MEM 7   /* Memory allocation */
#define            PTRC_GEN_PIPES 8 /* Pipe Operations   */

/*  Form Driver Tracing. */

#define            PTRC_FDR_MONITOR 100 /* PROCDMP/MONITOR */
#define            PTRC_FDR_ENABLED 101 /* Facility Enabled */
#define            PTRC_FDR_REPEAT 102  /* Repeat Groups */

/*  Screen Image Tracing. */

#define            PTRC_SCR_IMGRTNS 200
#define            PTRC_SCR_FILRTNS 201
#define            PTRC_SCR_TRMRTNS 202
#define            PTRC_SCR_UPDRTNS 203
#define            PTRC_SCR_CVTRTNS 204
#define            PTRC_SCR_INTRTNS 205
#define            PTRC_SCR_FILSTRC 210
#define            PTRC_SCR_HDRSTRC 211
#define            PTRC_SCR_IMGSTRC 212
#define            PTRC_SCR_IFISTRC 213
#define            PTRC_SCR_OLDSTRC 214
#define            PTRC_SCR_RECSTRC 215
#define            PTRC_SCR_WRKSTRC 216
#define            PTRC_SCR_ENABLED 217 /* Facility Enabled */

/*  User Defined Tracing. */
/*  Note that 32 user Trace Flags could be defined, but there is */
/*  no need for that many at the moment. */

#define            PTRC_USR_USER1 300   /* User 1 */
#define            PTRC_USR_USER2 301   /* User 2 */
#define            PTRC_USR_USER3 302   /* User 3 */
#define            PTRC_USR_USER4 303   /* User 4 */
#define            PTRC_USR_USER5 304   /* User 5 */
#define            PTRC_USR_USER6 305   /* User 6 */
#define            PTRC_USR_USER7 306   /* User 7 */
#define            PTRC_USR_USER8 307   /* User 8 */
#define            PTRC_USR_ENABLED 308 /* Facility Enabled */



/*  TRM Routine Tracing. */

#define            PTRC_TRM_ENABLED 400 /* Facility Enabled */
#define            PTRC_TRM_CLEAR 401   /* TRM_CLEAR */
#define            PTRC_TRM_OUTPUT 402  /* TRM_OUTPUT */
#define            PTRC_TRM_INPUT 403   /* TRM_INPUT */
#define            PTRC_TRM_SCROLL 404  /* TRM_SCROLL */
#define            PTRC_TRM_GENRTNS 405 /* General Routines */
#define            PTRC_TRM_DRWRTNS 406 /* TRM_DRWxxx */
#define            PTRC_TRM_HLPRTNS 407 /* Help-Related TRM Routines */
#define            PTRC_TRM_SPCRTNS 408 /* Special TRM Routines */
#define            PTRC_TRM_ODDRTNS 409 /* All Other TRM Routines */






/*    Inter-process communication routine tracing. */

#define            PTRC_IPC_IPC 501 /* IPC routines */
#define            PTRC_IPC_DTC 502 /* DTC routines */
#define            PTRC_IPC_IPC2 503    /* IPC messages */
#define            PTRC_IPC_DTC2 504    /* DTC messages */




/*  End of C Include File */

#endif  /* PSL__PSL_TRC_PRMDEF_LOADED */
