#ifndef PSL__PSL_VM_LLBDEF_LOADED
#define PSL__PSL_VM_LLBDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSL_VM_LLBDEF               */
/*          ============                         */
/*                                       */
/*  Description:                                 */
/*  ============                                 */
/*                                       */
/*  Structure of the linked list header record.              */
/*  This is used as the header for the Queue header and the data         */
/*  records within the list.                         */
/*  In all cases the sanity field is a pointer which must point to       */
/*  the start of the header record. The size field must be non-zero      */
/*  for the queue header, but zero in the header for the data records.   */
/*                                       */
/*===========================================================================*/

/*** MODULE PSL_VM_LLBDEF ***/

struct psl_vm_llb
{

    /*  Queue forward pointer. */

    struct psl_vm_llb       *fwdptr;

    /*  Queue backward pointer. */

    struct psl_vm_llb       *bckptr;

    /*  Sanity check pointer. */

    struct psl_vm_llb       *sanity_ptr;

    /*  Size of data record. */

    PSL_U_LONGWORD_T        blk_size;

    /*  Pointer to the data. */

    char                    *data_ptr;

    /*  Pad to quadword boundary. */

    PSL_LONGWORD_T          filll;

} ;


/*  End of C Include File */

#endif  /* PSL__PSL_VM_LLBDEF_LOADED */
