#ifndef PSL__PSL_VM_PRMDEF_LOADED
#define PSL__PSL_VM_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSL_VM_PRMDEF               */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  This module contains the definitions for the symbolic names required */
/*  when calling the PSL linked List routines.               */
/*                                       */
/*===========================================================================*/

/*** MODULE PSL_VM_PRMDEF ***/

/*    Symbolic Values for the POSITION parameter */

#define            PSL_VM_POS_SPEC 0X1
/* Position at specified */
#define            PSL_VM_POS_BEG 0X2
/* Position beginning of list */
#define            PSL_VM_POS_END 0X3
/* Position end of list */

/*    Symbolic Values for the MODE parameter */

#define            PSL_VM_MODE_SPEC 0X1
/* Copy specified */
#define            PSL_VM_MODE_FIRST 0X2
/* Copy first */
#define            PSL_VM_MODE_LAST 0X3
/* Copy last */
#define            PSL_VM_MODE_NEXT 0X4
/* Copy following */
#define            PSL_VM_MODE_PREV 0X5
/* Copy preceding */
#define            PSL_VM_MODE_INTO 0X6
/* Copy INTO list */



/*    Define PSL_VM_SORT routine parameters. */

#define            PSL_VM_SORT_NODUPS 0X1



/*  End of C Include File */

#endif  /* PSL__PSL_VM_PRMDEF_LOADED */
