#ifndef PSL__TRC_RTNDEF_LOADED
#define PSL__TRC_RTNDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: TRC_RTNDEF                  */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  Function Prototypes for PSL Trace Routines.              */
/*                                       */
/*===========================================================================*/


/*   Define Incomplete Structures for all referenced types */

#include <psl_structures.h>     /* Common Structures */

/*   Define SYSSHR routine names */

#include <sysshr_rtns.h>

#ifdef ALPHA
unsigned long   PSL_ALIGN_HDLR (void *sigargs_ptr,
                                void *mechargs_ptr);
#endif /* ALPHA */

unsigned long   PSL_INIT_ALN_TRC (void);

void   PSL_INIT_TRACE (void);

void   PSL_OUTPUT_TRACE (const char *fmt_ptr, ...);

void   PSL_SET_TRC_ON (unsigned long option);

void   PSL_SET_TRC_OFF (unsigned long option);

Boolean     PSL_TEST_TRACE (unsigned long option);

void   PSL_TIME_TRACE (void);



void   PSL_TRACE_CMD (struct diagstk *diag_ptr,
                      struct cldtab *table_ptr);



#ifdef VMS
unsigned long   PSL_TRACE_PARSE (void);
#else
unsigned long   PSL_TRACE_PARSE (const char *qual_value_ptr);
#endif



void   PSL_TRACE_SETUP (Boolean trace_flag,
                        struct trace_keywords *trace_keywords_ptr);



/*
 *  Screen Image Structure Tracing Routines.
 */
void   PSL_TRC_SCR_FIL (struct scr_fil *scrfil_ptr);
void   PSL_TRC_SCR_HDR (struct scr_hdr *scrhdr_ptr);
void   PSL_TRC_SCR_IFI (struct scr_ifi *scrifi_ptr);
void   PSL_TRC_SCR_IMG (struct scr_img *scrimg_ptr);
void   PSL_TRC_SCR_OLD (struct scr_old *scrold_ptr);
void   PSL_TRC_SCR_REC (struct scr_rec *scrrec_ptr);
void   PSL_TRC_SCR_WRK (struct scr_wrk *scrwrk_ptr);


void   PSL_TRC_SCR_DAT (struct scr_img *scrimg_ptr,
                        short scr_line,
                        short scr_column);

void   PSL_TRC_SCR_AREA (struct scr_img *scrimg_ptr,
                         short scr_line,
                         short scr_column,
                         short scr_depth,
                         short scr_width);


#endif  /* PSL__TRC_RTNDEF_LOADED */
