/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CompileDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TestPlugin.h"
#include "CompileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCompileDlg dialog


CCompileDlg::CCompileDlg(const CString& strFile,const CString& strErrors,CWnd* pParent /*=NULL*/)
	: CDialog(CCompileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCompileDlg)
	//}}AFX_DATA_INIT
	m_strCompileErrors = strErrors;
	m_strMessage.Format("The script \"%s\" failed to compile.",strFile);
}


void CCompileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCompileDlg)
	DDX_Control(pDX, IDC_COMPILE_ERRORS, m_ctlErrors);
	DDX_Text(pDX, IDC_MESSAGE, m_strMessage);
	DDX_Text(pDX, IDC_COMPILE_ERRORS, m_strCompileErrors);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCompileDlg, CDialog)
	//{{AFX_MSG_MAP(CCompileDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCompileDlg message handlers

BOOL CCompileDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_fontErrors.CreatePointFont(85,"Courier New");
	m_ctlErrors.SetFont(&m_fontErrors);

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

