// DeleteRunDlg.cpp : implementation file
//

#include "stdafx.h"
#include "testplugin.h"
#include "DeleteRunDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDeleteRunDlg dialog


CDeleteRunDlg::CDeleteRunDlg(const CString& strTestFolder,CWnd* pParent /*=NULL*/)
	: CDialog(CDeleteRunDlg::IDD, pParent),
	m_strTestFolder(strTestFolder)
{
	//{{AFX_DATA_INIT(CDeleteRunDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDeleteRunDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDeleteRunDlg)
	DDX_Control(pDX, IDC_RUN_LIST, m_ctlRunList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDeleteRunDlg, CDialog)
	//{{AFX_MSG_MAP(CDeleteRunDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDeleteRunDlg message handlers

BOOL CDeleteRunDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CFileFind FF;
	if(!FF.FindFile(m_strTestFolder + "*.00?"))
		return FALSE;

	BOOL bContinue=true;
	while(bContinue)
	{
		bContinue = FF.FindNextFile();

		if(FF.IsDirectory() && !FF.IsDots() && !FF.IsHidden())
		{
			m_ctlRunList.AddString(FF.GetFileName());
		}
	}

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDeleteRunDlg::OnOK() 
{
	int nSelCount = m_ctlRunList.GetSelCount();
	int *pSel = new int[nSelCount];
	m_ctlRunList.GetSelItems(nSelCount,pSel);

	CString strRun;
	for(int nRun=0;nRun<nSelCount;nRun++)
	{
		m_ctlRunList.GetText(pSel[nRun],strRun);
		if(!DeleteFolder(m_strTestFolder + "\\" + strRun))
			return;
	}
	
	CDialog::OnOK();
}

BOOL CDeleteRunDlg::DeleteFolder(const CString& strFolder)
{
	CFileFind FF;
	if(!FF.FindFile(strFolder + "\\*.*"))
		return FALSE;

	BOOL bContinue=true;
	while(bContinue)
	{
		bContinue = FF.FindNextFile();
		if(FF.IsDots())
			continue;

		if(FF.IsDirectory())
		{
			if(!DeleteFolder(FF.GetFilePath()))
				return false;
		}
		else
		{
			if(!DeleteFile(FF.GetFilePath()))
			{
				CString str;
				str.Format("Could not delete \"%s\"\n\n%s\nContinue with remaining files?",FF.GetFilePath(),GetErrorMessage(GetLastError()));
				if(AfxMessageBox(str,MB_YESNO)==IDNO)
					return false;
			}
		}
	}
	FF.Close();
	
	if(!RemoveDirectory(strFolder))
	{
		CString str;
		str.Format("Could not delete \"%s\"\n\n%s\nContinue with remaining files?",strFolder,GetErrorMessage(GetLastError()));
		if(AfxMessageBox(str,MB_YESNO)==IDNO)
			return false;
	}

	return true;
}

CString CDeleteRunDlg::GetErrorMessage(DWORD dwError)
{
	LPVOID lpMsgBuf;
	FormatMessage( 
		FORMAT_MESSAGE_ALLOCATE_BUFFER | 
		FORMAT_MESSAGE_FROM_SYSTEM | 
		FORMAT_MESSAGE_IGNORE_INSERTS,
		NULL,
		GetLastError(),
		MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
		(LPTSTR) &lpMsgBuf,
		0,
		NULL 
	);
	
	CString str((LPCTSTR)lpMsgBuf);
	str.Replace("\n"," ");
	str.Remove('\r');

	// Free the buffer.
	LocalFree( lpMsgBuf );

	return str;
}
