/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_MONITORINGDLG_H__81F44674_D4E6_11D4_94C7_00C04F89E392__INCLUDED_)
#define AFX_MONITORINGDLG_H__81F44674_D4E6_11D4_94C7_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MonitoringDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMonitoringDlg dialog
#include "DragDropDialog.h"
#include "TestFile.h"
#include "PluginManager.h"
#include "MonitorSummary.h"

class CMonitoringDlg : public CDragDropDialog
{
// Construction
public:
	void StopActiveTest();
	void SetTestActive(CString strReg);
	void SetTestFile(CTestFile* pTestFile);
	CMonitoringDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMonitoringDlg)
	enum { IDD = IDD_MONITORING };
	CStatic	m_ctlStatusLabel;
	CEdit	m_ctlStatus;
	CStatic	m_ctlDisplayLabel;
	CStatic	m_ctlGroupLabel;
	CListBox	m_ctlViewList;
	CStatic	m_ctlExpandFrame;
	CButton	m_ctlShowHideBtn;
	CListBox	m_ctlTaskList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMonitoringDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMonitoringDlg)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	virtual BOOL OnInitDialog();
	afx_msg void OnShowhideBtn();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSelchangeTaskList();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeViewList();
	//}}AFX_MSG
	virtual void OnOK();
	virtual void OnCancel();
	DECLARE_MESSAGE_MAP()
private:
	void UpdateTaskList();
	void ShowSummary();
	CPluginManager* m_pPluginManager;
	CTestFile* m_pTestFile;
	CBitmap m_bmpShowHide;
	BOOL m_bFrameHidden;
	CString m_strTestName;
	CString m_strManagerReg;
	BOOL m_bTestActive;
	BOOL FindTestRunFolder();

	CString m_strTestPath;
	CString m_strRunFolder;

	CMonitorSummary* m_pSummary;
	CWnd* m_pActiveWnd;
	void LoadScreens(int nGroup);
	CString m_strActiveTarget;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MONITORINGDLG_H__81F44674_D4E6_11D4_94C7_00C04F89E392__INCLUDED_)
