/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_CECDIAGNOSEDLG_H__72900838_D59D_11D3_9A95_00500447FC27__INCLUDED_)
#define AFX_CECDIAGNOSEDLG_H__72900838_D59D_11D3_9A95_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECDiagnoseDlg.h : header file
//
#include "LevelList.h"
/////////////////////////////////////////////////////////////////////////////
// CECDiagnoseDlg dialog
class CECDiagnoseDlg : public CDialog
{
    // Construction
public:
    void Init();
    CECDiagnoseDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECDiagnoseDlg)
	enum { IDD = IDD_DIAGNOSE };
    CButton m_SaveButton;
    CButton m_GroupBox;
    CButton m_RefreshButton;
    CLevelList  m_lcLevels;
	//}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECDiagnoseDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECDiagnoseDlg)
    afx_msg void OnCorbaRefresh();
    afx_msg void OnSave();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnDestroy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
	CString m_strTraceFilePath;

    void InitListControl();
    void PopulateLevels();
    void SetCorbaHelper();
    CORBAServer* m_pCorba;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECDIAGNOSEDLG_H__72900838_D59D_11D3_9A95_00500447FC27__INCLUDED_)
