/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XDiagnoserCtl.cpp : Implementation of the CXDiagnoserCtrl ActiveX Control class.

#include "stdafx.h"
#include "XDiagnoser.h"
#include "XDiagnoserCtl.h"
#include "XDiagnoserPpg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


IMPLEMENT_DYNCREATE(CXDiagnoserCtrl, COleControl)


/////////////////////////////////////////////////////////////////////////////
// Message map

BEGIN_MESSAGE_MAP(CXDiagnoserCtrl, COleControl)
//{{AFX_MSG_MAP(CXDiagnoserCtrl)
ON_WM_SIZE()
ON_WM_ERASEBKGND()
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
ON_OLEVERB(AFX_IDS_VERB_PROPERTIES, OnProperties)
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// Dispatch map

BEGIN_DISPATCH_MAP(CXDiagnoserCtrl, COleControl)
//{{AFX_DISPATCH_MAP(CXDiagnoserCtrl)
	//}}AFX_DISPATCH_MAP
DISP_FUNCTION_ID(CXDiagnoserCtrl, "AboutBox", DISPID_ABOUTBOX, AboutBox, VT_EMPTY, VTS_NONE)
END_DISPATCH_MAP()


/////////////////////////////////////////////////////////////////////////////
// Event map

BEGIN_EVENT_MAP(CXDiagnoserCtrl, COleControl)
//{{AFX_EVENT_MAP(CXDiagnoserCtrl)
// NOTE - ClassWizard will add and remove event map entries
//    DO NOT EDIT what you see in these blocks of generated code !
//}}AFX_EVENT_MAP
END_EVENT_MAP()


/////////////////////////////////////////////////////////////////////////////
// Property pages

// TODO: Add more property pages as needed.  Remember to increase the count!
BEGIN_PROPPAGEIDS(CXDiagnoserCtrl, 1)
PROPPAGEID(CXDiagnoserPropPage::guid)
END_PROPPAGEIDS(CXDiagnoserCtrl)


/////////////////////////////////////////////////////////////////////////////
// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CXDiagnoserCtrl, "XDIAGNOSER.XDiagnoserCtrl.1",
                       0x72900826, 0xd59d, 0x11d3, 0x9a, 0x95, 0, 0x50, 0x4, 0x47, 0xfc, 0x27)


/////////////////////////////////////////////////////////////////////////////
// Type library ID and version

IMPLEMENT_OLETYPELIB(CXDiagnoserCtrl, _tlid, _wVerMajor, _wVerMinor)


/////////////////////////////////////////////////////////////////////////////
// Interface IDs

const IID BASED_CODE IID_DXDiagnoser =
    {
        0x72900824, 0xd59d, 0x11d3, { 0x9a, 0x95, 0, 0x50, 0x4, 0x47, 0xfc, 0x27 }
    };
const IID BASED_CODE IID_DXDiagnoserEvents =
    {
        0x72900825, 0xd59d, 0x11d3, { 0x9a, 0x95, 0, 0x50, 0x4, 0x47, 0xfc, 0x27 }
    };


/////////////////////////////////////////////////////////////////////////////
// Control type information

static const DWORD BASED_CODE _dwXDiagnoserOleMisc =
    OLEMISC_ACTIVATEWHENVISIBLE |
    OLEMISC_SETCLIENTSITEFIRST |
    OLEMISC_INSIDEOUT |
    OLEMISC_CANTLINKINSIDE |
    OLEMISC_RECOMPOSEONRESIZE;

IMPLEMENT_OLECTLTYPE(CXDiagnoserCtrl, IDS_XDIAGNOSER, _dwXDiagnoserOleMisc)


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::CXDiagnoserCtrlFactory::UpdateRegistry -
// Adds or removes system registry entries for CXDiagnoserCtrl

BOOL CXDiagnoserCtrl::CXDiagnoserCtrlFactory::UpdateRegistry(BOOL bRegister)
{
    // TODO: Verify that your control follows apartment-model threading rules.
    // Refer to MFC TechNote 64 for more information.
    // If your control does not conform to the apartment-model rules, then
    // you must modify the code below, changing the 6th parameter from
    // afxRegApartmentThreading to 0.

    if (bRegister)
        return AfxOleRegisterControlClass(
                   AfxGetInstanceHandle(),
                   m_clsid,
                   m_lpszProgID,
                   IDS_XDIAGNOSER,
                   IDB_XDIAGNOSER,
                   afxRegApartmentThreading,
                   _dwXDiagnoserOleMisc,
                   _tlid,
                   _wVerMajor,
                   _wVerMinor);
    else
        return AfxOleUnregisterClass(m_clsid, m_lpszProgID);
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::CXDiagnoserCtrl - Constructor

CXDiagnoserCtrl::CXDiagnoserCtrl()
{
    InitializeIIDs(&IID_DXDiagnoser, &IID_DXDiagnoserEvents);

    // TODO: Initialize your control's instance data here.
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::~CXDiagnoserCtrl - Destructor


CXDiagnoserCtrl::~CXDiagnoserCtrl()
{
    // TODO: Cleanup your control's instance data here.
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::OnDraw - Drawing function


void CXDiagnoserCtrl::OnDraw(
    CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)
{
    if(!m_Diagnoser.GetSafeHwnd())
    {
        // TODO: Replace the following code with your own drawing code.
        pdc->FillRect(rcBounds, CBrush::FromHandle((HBRUSH)GetStockObject(WHITE_BRUSH)));
        pdc->TextOut(10,10,"XDiagnoser.ocx");
    }
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::DoPropExchange - Persistence support

void CXDiagnoserCtrl::DoPropExchange(CPropExchange* pPX)
{
    ExchangeVersion(pPX, MAKELONG(_wVerMinor, _wVerMajor));
    COleControl::DoPropExchange(pPX);

    // TODO: Call PX_ functions for each persistent custom property.

}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::OnResetState - Reset control to default state


void CXDiagnoserCtrl::OnResetState()
{
    COleControl::OnResetState();  // Resets defaults found in DoPropExchange

    // TODO: Reset any other control state here.
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl::AboutBox - Display an "About" box to the user


void CXDiagnoserCtrl::AboutBox()
{
    CDialog dlgAbout(IDD_ABOUTBOX_XDIAGNOSER);
    dlgAbout.DoModal();
}


/////////////////////////////////////////////////////////////////////////////
// CXDiagnoserCtrl message handlers

void CXDiagnoserCtrl::OnSize(UINT nType, int cx, int cy)
{
    COleControl::OnSize(nType, cx, cy);

    if (m_Diagnoser.m_hWnd != NULL)
    {
        m_Diagnoser.SetWindowPos(NULL, 0, 0, cx, cy, SWP_NOZORDER);
    }
}

BOOL CXDiagnoserCtrl::OnEraseBkgnd(CDC* pDC)
{
    return true;
}

int CXDiagnoserCtrl::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (COleControl::OnCreate(lpCreateStruct) == -1)
		return -1;
	
    m_Diagnoser.Create(IDD_DIAGNOSE,this);
    m_Diagnoser.ShowWindow(SW_SHOW);
    m_Diagnoser.Init();
    m_Diagnoser.Invalidate();
	
	return 0;
}
