/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// NS47Information.h: interface for the CNS47Information class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NS47Information_H__ACB94016_FFCC_11D3_AC85_00105A483E3C__INCLUDED_)
#define AFX_NS47Information_H__ACB94016_FFCC_11D3_AC85_00105A483E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BrowserInformation.h"
#include "EnumData.h"

#define    PROXY_CONF_MANUAL    1
#define    PROXY_CONF_AUTO      2
#define    PROXY_CONF_NONE      3

#define    STARTPAGE_CONF_NONE     0    // Blank page
#define    STARTPAGE_CONF_MANUAL   1    // Defined
#define    STARTPAGE_CONF_AUTO     2    // Last in history

class CNS47Information : public CBrowserInformation
{
public:
    CNS47Information(CWnd* _pWnd=NULL);
    virtual ~CNS47Information();

    //Get Netscape 4.7 default parameters
    virtual BOOL GetDefaultParameters( _TPreferencesProxyData *pData ) ;

    //Save default registry parameters in a temporary file
    virtual void SaveDefaultRegistryInfo() ;

    //Modify the registry for the capture
    virtual void ModifyRegistryForCapture( long lPort ) ;

    //Reinit the registry parameters with the parameters saved in the temp file
    virtual void SetDefaultParametersInRegistry();

    //Get Browser Path
    virtual BOOL GetBrowserFullPath( CString &strPath ) ;

    //Verify if the user has checked "use a server proxy" and the parameters for http proxy
    // and https proxy are OK.
    virtual BOOL IsInternetSettingOK() ;

    virtual IsNS47Version() ;


protected:

    //Bypass proxy for local machine
    BOOL HasByPassProxyLocal() ;
    //Get Address and secure info
    CString GetProxyInfo(long &lPort , const CString& _strType ) ;
    void ExtractInfo( CString * _strPrefLine ) ;
    BOOL InitPrefFileFullPath() ;
    BOOL GetPrefFileFullPath( CString * _pstrPath ) ;

    void    InitVersion() ;
    CString GetVersion() ;
    BOOL    LoadPrefFile() ;

    CString     m_strVersion ;
    CString     m_strPrefFileFullPath ;

    //---   Preferences File Data
    long        m_lBrowserStartPageType ;
    CString     m_strProxyAutoUrl ;
    CString     m_strProxyHTTPUrl ;
    long        m_lProxyHTTPPort ;
    CString     m_strNoProxyUrl ;
    CString     m_strProxySSLUrl ;
    long        m_lProxySSLPort ;
    long        m_lProxyType ;
    CString     m_strProxyFTP ;
    long        m_lProxyFTPPort ;
    BOOL        m_bIsRoamingAccessOn ;
    BOOL        m_bSettingOk ;

};


#endif // !defined(AFX_NS47Information_H__ACB94016_FFCC_11D3_AC85_00105A483E3C__INCLUDED_)
