/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OSLanguage.cpp: implementation of the COSLanguage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "OSLanguage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

COSLanguage::COSLanguage()
{
    m_pszBuffer = NULL;

    m_Language.dwStyle          = CMLS_PROCEDURAL;
    m_Language.bIsCaseSensitive = FALSE;
    m_Language.pszKeywords      = _T("\n");
    m_Language.pszOperators     = _T("+\n-\n*\n/\n|\n<^>\n<=\n<>\n<\n>=\n>\n=\n^\n&\n"
                                     "AND\nCONTAINS\nNOT\nNOT_CONTAINS\nOR\n\0");

    m_Language.pszSingleLineComments = _T("");
    m_Language.pszMultiLineComments1 = _T("");
    m_Language.pszMultiLineComments2 = _T("");
    m_Language.pszScopeKeywords1     = _T("");
    m_Language.pszScopeKeywords2     = _T("");
    m_Language.pszStringDelims       = _T("'\n\"\n\0"); // Allow single or double quotes
    m_Language.chEscape              = NULL;
    m_Language.chTerminator          = NULL;
    m_Language.pszTagElementNames    = NULL;
    m_Language.pszTagAttributeNames  = NULL;
    m_Language.pszTagEntities        = NULL;

}

COSLanguage::~COSLanguage()
{
}


void COSLanguage::AddKeywords(char *_pszBuffer)
{
    ASSERT( _pszBuffer != NULL ) ;

    if( m_pszBuffer == NULL )
    {
        m_pszBuffer = new TCHAR[ strlen(_pszBuffer ) + 2 ] ;
        strcpy( m_pszBuffer , _pszBuffer ) ;
    }
    else
    {
        TCHAR *pszBuffer2 = m_pszBuffer ;
        m_pszBuffer = new TCHAR[ strlen(_pszBuffer ) + strlen(pszBuffer2 ) + 3 ] ;
        strcpy( m_pszBuffer , pszBuffer2 ) ;
        strcat( m_pszBuffer , _pszBuffer ) ;
        if( pszBuffer2 )
            delete pszBuffer2 ;
    }

    strcat( m_pszBuffer , "\n" ) ;
    m_Language.pszKeywords = m_pszBuffer;
}

void COSLanguage::SetComments( char *_pszComment)
{
    m_Language.pszSingleLineComments = _pszComment;
}
