/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

////////////////////////////////////////////////////////////////////////////////
// @doc     Document
// @module  CCustomizeTitlePage | Property sheet for graph title customization
//
////////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_CUSTOMIZETITLEPAGE_H__B2B050D8_3856_11D3_BE0D_00A02456D506__INCLUDED_)
#define AFX_CUSTOMIZETITLEPAGE_H__B2B050D8_3856_11D3_BE0D_00A02456D506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CustomizeTitlePage.h : header file
//

#include "FontCombo.h"
#include "TipWnd.h"
#include "ColorBtn.h"

class CGraphWnd;
/////////////////////////////////////////////////////////////////////////////
// CCustomizeTitlePage dialog

// @class Property sheet for graph title customization
// @base public | CPropertyPage
class CCustomizeTitlePage : public CPropertyPage
{
    DECLARE_DYNCREATE(CCustomizeTitlePage)


    // @access Public Members
public:
	CCustomizeTitlePage(){}
    // @cmember Constructor
    CCustomizeTitlePage(CGraphWnd* pWnd);

    // @cmember Destructor
    ~CCustomizeTitlePage();

    // @cmember Colour chooser for font colour
    CColorBtn m_FontCol;

    // @cmember Colour chooser for background start colour
    CColorBtn m_BGCol;

    // Dialog Data
    //{{AFX_DATA(CCustomizeTitlePage)
    enum { IDD = IDD_CUSTOMIZE_TITLE };
    CFontCombo  m_FontCombo;
    BOOL    m_bDisplayTitle;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CCustomizeTitlePage)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CCustomizeTitlePage)
    virtual BOOL OnInitDialog();
    //}}AFX_MSG
    virtual void OnOK( );
    DECLARE_MESSAGE_MAP()

private:
    CGraphWnd* m_pGraphWnd;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMIZETITLEPAGE_H__B2B050D8_3856_11D3_BE0D_00A02456D506__INCLUDED_)
