/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#include <afxdb.h>

#include <Table.h>

//---------------------------------------------------------------------------

#define STR_LEN 128+1
#define REM_LEN 254+1

//Internal Cache for the data

typedef struct
{
    SQLCHAR         szCatalog[STR_LEN] ;
    SQLINTEGER      CatalogInd ;
    SQLCHAR         szSchema[STR_LEN] ;
    SQLINTEGER      SchemaInd ;
    SQLCHAR         szTableName[STR_LEN] ;
    SQLINTEGER      TableNameInd ;
    SQLCHAR         szColumnName[STR_LEN] ;
    SQLINTEGER      ColumnNameInd ;
    SQLSMALLINT     DataType ;
    SQLINTEGER      DataTypeInd ;
    SQLCHAR         szTypeName[STR_LEN] ;
    SQLINTEGER      TypeNameInd ;
    SQLINTEGER      ColumnSize ;
    SQLINTEGER      ColumnSizeInd ;
    SQLINTEGER      BufferLength ;
    SQLINTEGER      BufferLengthInd ;
    SQLSMALLINT     DecimalDigits ;
    SQLINTEGER      DecimalDigitsInd ;
    SQLSMALLINT     NumPrecRadix ;
    SQLINTEGER      NumPrecRadixInd ;
    SQLSMALLINT     Nullable ;
    SQLINTEGER      NullableInd ;

}
FF_DB_COLUMN_SET_FIELDS, *pFF_DB_COLUMN_SET_FIELDS ;

//structure to hold the final data

typedef struct
{
    CString     strCatalog ;
    CString     strSchema ;
    CString     strTableName ;
    CString     strColumnName ;
    long        lDataType ;
    CString     strTypeName ;
    long        lColumnSize ;
    long        lBufferLength ;
    long        lDecimalDigits ;
    long        lNumPrecRadix ;
    long        lNullable ;

}
DB_COLUMN_SET_FIELDS, *pDB_COLUMN_SET_FIELDS ;

//--------------------------------------------------------------------------

class CVarDBColumnList : public CDBTable
{

public:
    CVarDBColumnList(CDatabase* pDatabase = NULL) ;
    ~CVarDBColumnList() ;

    BOOL Load(CString _strTableName, CString strQualifierParam, CString strOwnerParam) ;
    void Reset() ;

    CTypedPtrArray <CPtrArray, pDB_COLUMN_SET_FIELDS> m_aData ;

};
