

#include "stdafx.h"
#include <afxdllx.h>
#include "PluginTypes.h"
#include "resource.h"       // main symbols
#include "NTPerfGraphs.h"
#include "GraphWnd.h"
#include "GraphTypes.h"
#include "TestFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static AFX_EXTENSION_MODULE CNTPerfResultsDLL = { NULL, NULL };

CNTPerfGraphs g_NTPerfGraphs;
HINSTANCE m_hInstance = NULL;
extern "C" int APIENTRY
    DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	m_hInstance = hInstance;
    // Remove this if you use lpReserved
    UNREFERENCED_PARAMETER(lpReserved);

    if (dwReason == DLL_PROCESS_ATTACH)
    {
        TRACE0("CNTPerfResultsDLL.DLL Initializing!\n");

        // Extension DLL one-time initialization
        if (!AfxInitExtensionModule(CNTPerfResultsDLL, hInstance))
            return 0;

        // Insert this DLL into the resource chain
        // NOTE: If this Extension DLL is being implicitly linked to by
        //  an MFC Regular DLL (such as an ActiveX Control)
        //  instead of an MFC application, then you will want to
        //  remove this line from DllMain and put it in a separate
        //  function exported from this Extension DLL.  The Regular DLL
        //  that uses this Extension DLL should then explicitly call that
        //  function to initialize this Extension DLL.  Otherwise,
        //  the CDynLinkLibrary object will not be attached to the
        //  Regular DLL's resource chain, and serious problems will
        //  result.

    }
    else if (dwReason == DLL_PROCESS_DETACH)
    {
        TRACE0("CNTPerfResultsDLL.DLL Terminating!\n");

        // Terminate the library before destructors are called
        AfxTermExtensionModule(CNTPerfResultsDLL);

    }

    return 1;   // ok
}

extern "C" AFX_EXT_API
BOOL OpenSTAVerify()
{
	return true;
}

extern "C" AFX_EXT_API
void GetTitle(CString& strTitle)
{
	strTitle = "NT Performance Results Plugin";
}

extern "C" AFX_EXT_API
int GetType()
{
	return TEST_RESULTS_PLUGIN;
}

extern "C" AFX_EXT_API
void GetPackage(CString& strPackage)
{
	strPackage = "NTP";
}

extern "C" AFX_EXT_API
BOOL IsSupportedExtension(CString strExt)
{
    return false;
}

extern "C" AFX_EXT_API
void LoadRun(const CString& strRunFolder)
{
	g_NTPerfGraphs.LoadRun(strRunFolder);	
}

extern "C" AFX_EXT_API
void GetAvailableGraphs(CStringArray& arstrGraphs)
{
	g_NTPerfGraphs.GetAvailableGraphs(arstrGraphs);
}

extern "C" AFX_EXT_API
CWnd* DisplayGraph(const CString& strName,CWnd *pParent,const CRect& rcBounds)
{
	return g_NTPerfGraphs.DisplayGraph(strName,pParent,rcBounds);
}

extern "C" AFX_EXT_API
BOOL GetDefaultOperationName(CWnd *pWnd,CString& strName)
{
	strName = "Filter";
	if(pWnd->IsKindOf(RUNTIME_CLASS(CGraphWnd)))
	{
		CGraphWnd *pGraphWnd = (CGraphWnd *)pWnd;
		if(pGraphWnd->m_pGraph)
			return pGraphWnd->m_pGraph->DoesGraphHaveFilter();
	}

	return false;
}

extern "C" AFX_EXT_API
void StartDefaultOperation(CWnd *pWnd)
{
	if(pWnd->IsKindOf(RUNTIME_CLASS(CGraphWnd)))
	{
		CGraphWnd *pGraphWnd = (CGraphWnd *)pWnd;
		if(pGraphWnd->m_pGraph)
			pGraphWnd->m_pGraph->ShowFilter();
	}
}

