/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_SNMPSCANDLG_H__EF47732C_06D5_4C00_9145_41F1D1E2B6BC__INCLUDED_)
#define AFX_SNMPSCANDLG_H__EF47732C_06D5_4C00_9145_41F1D1E2B6BC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SNMPScanDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSNMPScanDlg dialog
#include "resource.h"

struct IPADDR
{
	int byte1;
	int byte2;
	int byte3;
	int byte4;
} typedef IPADDR;

class CSNMPScanDlg : public CDialog
{
// Construction
public:
	void GetServers(CStringArray& arrServers);
	CStringArray m_arrSNMPServers;
	CSNMPScanDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSNMPScanDlg)
	enum { IDD = IDD_SCAN };
	CIPAddressCtrl	m_IPEnd;
	CIPAddressCtrl	m_IPStart;
	int		m_nPort;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSNMPScanDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSNMPScanDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnScan();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void RunScan();
	BOOL IsRangeOK();
	IPADDR m_addrStart;
	IPADDR m_addrEnd;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SNMPSCANDLG_H__EF47732C_06D5_4C00_9145_41F1D1E2B6BC__INCLUDED_)
