// FilterDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FilterDlg.h"
#include "RegFunctions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFilterDlg dialog


CFilterDlg::CFilterDlg(SNMPHeaderList* pHeaderList,CWnd* pParent /*=NULL*/)
	: CDialog(CFilterDlg::IDD, pParent),
	m_pHeaderList(pHeaderList)
{
	//{{AFX_DATA_INIT(CFilterDlg)
	//}}AFX_DATA_INIT
}


void CFilterDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFilterDlg)
	DDX_Control(pDX, IDC_QUERY_LIST, m_ctlQueryList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFilterDlg, CDialog)
	//{{AFX_MSG_MAP(CFilterDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFilterDlg message handlers

void CFilterDlg::OnOK() 
{
	int nCount = m_ctlQueryList.GetCount();
	for(int nItem=0;nItem<nCount;nItem++)
		((SNMPHeader*)m_ctlQueryList.GetItemData(nItem))->bInFilter = false;
	
	int nSelCount = m_ctlQueryList.GetSelCount();
	int *pSel = new int[nSelCount];
	m_ctlQueryList.GetSelItems(nSelCount,pSel);
	
	for(nItem=0;nItem<nSelCount;nItem++)
		((SNMPHeader*)m_ctlQueryList.GetItemData(pSel[nItem]))->bInFilter = true;
	
	delete []pSel;
	
	CDialog::OnOK();
}

BOOL CFilterDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CString strQuery,strNode;
	POSITION pos = m_pHeaderList->GetHeadPosition();
	while(pos)
	{
		SNMPHeader *pHeader = m_pHeaderList->GetNext(pos);
		
		GetNodeName(pHeader->dwIP,strNode);
		strQuery.Format("%s, %s, %d",pHeader->strQuery,strNode,pHeader->nIndex);
		
		int nItem = m_ctlQueryList.AddString(strQuery);
		m_ctlQueryList.SetSel(nItem,pHeader->bInFilter);
		m_ctlQueryList.SetItemData(nItem,(DWORD)pHeader);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
